Name: automake
Version: 1.15
Release: 3
License: GPL-3.0-or-later
Summary: GNU automake
Url: https://www.gnu.org/software/automake/automake.html
BuildArch: noarch

BuildRequires: autoconf

Requires: make-gnu
Requires: autoconf

Source0: https://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz

Patch0: automake-UPSTREAM_bin_automake.in.patch

%description
Automake is a tool for automatically generating Makefile.in files compliant with
the GNU Coding Standards. Automake requires the use of Autoconf.

%prep
%setup -q

%patch0 -p1

%build

%configure \
  PERL=%{_bindir}/perl

%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{version}
%{_bindir}/aclocal-%{version}

%{_datadir}/automake-%{version}
%{_datadir}/aclocal-%{version}
%{_datadir}/aclocal

%{_docdir}/automake

%{_infodir}/automake.info*
%{_infodir}/automake.info-*
%{_infodir}/automake-history.info*

%{_mandir}/man1/aclocal.1*
%{_mandir}/man1/automake.1*
%{_mandir}/man1/aclocal-%{version}.1*
%{_mandir}/man1/automake-%{version}.1*

%changelog
* Thu Oct 15 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.15
- Add autoconf dependency

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 1.15
- Use generic paths for man and info pages to allow for compression

* Wed Nov 27 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier
- Remove commented files in files section
- Wrapped description such that each line does not exceed 80 characters

* Sat Mar 3 2018 Kevin Adler <kadler@us.ibm.com> 
- Add build requires and GNU make dependency to automake

* Thu Aug 17 2017 Kevin Adler <kadler@us.ibm.com> 
- Use configure macro

* Mon Jun 5 2017 Kevin Adler <kadler@us.ibm.com> 
- Use make_build and make_install macros

* Sun Apr 23 2017 Kevin Adler <kadler@us.ibm.com> 
- Remove extra space in Summary lines

* Thu Apr 20 2017 Kevin Adler <kadler@us.ibm.com> 
- Add initial spec file
